Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  object TreeBrowsers
  Definition Classes
    ast
- DocBreak
- DocCons
- DocGroup
- DocNest
- DocNil
- DocText
- Document

c

scala.tools.nsc.ast.TreeBrowsers

# Document

###
Companion object Document

#### sealed abstract class Document extends AnyRef

A basic pretty-printing library, based on Lindig's strict version of Wadler's adaptation of Hughes' pretty-printer.

Source
  TreeBrowsers.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
DocBreak, DocCons, DocGroup, DocNest, DocNil, DocText
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Document
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Document toany2stringadd[Document] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Document, B)
   Implicit
     This member is added by an implicit conversion from Document toArrowAssoc[Document] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  def :/:(hd: String): Document
6.  def :/:(hd: Document): Document
7.  def ::(hd: String): Document
8.  def ::(hd: Document): Document
9.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  def ensuring(cond: (Document) => Boolean, msg: => Any): Document
    Implicit
      This member is added by an implicit conversion from Document toEnsuring[Document] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (Document) => Boolean): Document
    Implicit
      This member is added by an implicit conversion from Document toEnsuring[Document] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): Document
    Implicit
      This member is added by an implicit conversion from Document toEnsuring[Document] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): Document
    Implicit
      This member is added by an implicit conversion from Document toEnsuring[Document] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def format(width: Int, writer: Writer): Unit

    Format this document on `writer` and try to set line breaks so that the result fits in `width` columns.

20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Document toStringFormat[Document] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Document, B)
   Implicit
     This member is added by an implicit conversion from Document toArrowAssoc[Document] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromDocument to any2stringadd[Document]

### Inherited by implicit conversion StringFormat fromDocument to StringFormat[Document]

### Inherited by implicit conversion Ensuring fromDocument to Ensuring[Document]

### Inherited by implicit conversion ArrowAssoc fromDocument to ArrowAssoc[Document]

### Ungrouped